Node
Keywords: uk.ac.ic.doc.automed.reps.Node,Node class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class Node

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.Node

public class Node
extends java.lang.Object

Method Summary
`Node[]` | `getAdjacent()` Returns all nodes that are adjacent to this node - that is, nodes for which a transformation is defined between its schema and this node's schema.
`Node[]` | `getChildren()` If the network this node belongs to is directed then returns all the adjacent nodes that are children of this node, otherwise its behaviour is defined by the type of network but the children will be a subset of adjacent.
`Network` | `getNetwork()` Returns the network this node belongs to
`static Node` | `getNode(Schema s)` returns the node for a schema if one exists or null otherwise
`static Node` | `getNode(java.lang.String schemaName)` returns the node for a schema if one exists or null otherwise
`Node[]` | `getParents()` If the network this node belongs to is directed then returns all the adjacent nodes that are parents of this node, otherwise its behaviour is defined by the type of network but the parents will be a subset of adjacent.
`Schema` | `getSchema()` Returns the schema at this node in the network
`boolean` | `isAdjacent(Node n)`
`boolean` | `isLeaf()` True if (and only if) this node belongs to a directed network and this is a leaf node.
`boolean` | `isRoot()` True if (and only if) this node belongs to a directed network and this is a root node.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getNode

    public static Node getNode(java.lang.String schemaName)

  returns the node for a schema if one exists or null otherwise

### getNode

    public static Node getNode(Schema s)

  returns the node for a schema if one exists or null otherwise

### getSchema

    public Schema getSchema()

  Returns the schema at this node in the network

### getNetwork

    public Network getNetwork()

  Returns the network this node belongs to

### isRoot

    public boolean isRoot()

  True if (and only if) this node belongs to a directed network and this is a root node.

### isLeaf

    public boolean isLeaf()

  True if (and only if) this node belongs to a directed network and this is a leaf node.

### getParents

    public Node[] getParents()

  If the network this node belongs to is directed then returns all the adjacent nodes that are parents of this node, otherwise its behaviour is defined by the type of network but the parents will be a subset of adjacent. Note that you can do what you want with the array returned, it is created on each invocation and is not backed by the network or the repository in any way.

### getChildren

    public Node[] getChildren()

  If the network this node belongs to is directed then returns all the adjacent nodes that are children of this node, otherwise its behaviour is defined by the type of network but the children will be a subset of adjacent. Note that you can do what you want with the array returned, it is created on each invocation and is not backed by the network or the repository in any way.

### getAdjacent

    public Node[] getAdjacent()

  Returns all nodes that are adjacent to this node - that is, nodes for which a transformation is defined between its schema and this node's schema. Note that you can do what you want with the array returned, it is created on each invocation and is not backed by the network or the reposistory in any way.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### isAdjacent

    public boolean isAdjacent(Node n)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD